Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qjml4
Class QMField

    java.lang.Object
      |
      +--com.jxml.quick.QConverterSupport
            |
            +--com.jxml.quick.util.qjml4.QGBase
                  |
                  +--com.jxml.quick.util.qjml4.QMField

All Implemented Interfaces:
  Item, QConverter, QGBaseIntf, QMConnector

public class QMField
extends QGBase
implements QGBaseIntf, QMConnector

Field Summary
`String` | `fClass`
`String` | `initializer`
`String` | `name`

Fields inherited from class com.jxml.quick.QConverterSupport
`al, destination, PUBLIC, rootTag, SYSTEM`

Constructor Summary
`QMField()`
`QMField(String name, String fClass, String initializer)` full constructor

Method Summary
`void` | `print(PrintWriter pw, String indent)` print a summary of this object

Methods inherited from class com.jxml.quick.util.qjml4.QGBase
`cvt, print`

Methods inherited from class com.jxml.quick.QConverterSupport
`addBase64Attribute, addBase64Content, addBigDecimalAttribute, addBigDecimalContent, addBooleanAttribute, addBooleanAttribute, addBooleanContent, addBooleanContent, addByteAttribute, addByteAttribute, addByteContent, addByteContent, addCharAttribute, addCharAttribute, addCharContent, addCharContent, addDoubleAttribute, addDoubleAttribute, addDoubleContent, addDoubleContent, addFloatAttribute, addFloatAttribute, addFloatContent, addFloatContent, addIntAttribute, addIntAttribute, addIntContent, addIntContent, addLongAttribute, addLongAttribute, addLongContent, addLongContent, addShortAttribute, addShortAttribute, addShortContent, addShortContent, addStringAttribute, addStringContent, addURLAttribute, addURLContent, emptyElement, endElement, eval, eval, evalRoot, getPUBLIC, getRootTag, getSYSTEM, main, setDestination, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.util.qjml4.QGBaseIntf
`print`

Field Detail

### name

    public String name

### fClass

    public String fClass

### initializer

    public String initializer

Constructor Detail

### QMField

    public QMField()

### QMField

    public QMField(String name,
                   String fClass,
                   String initializer)

  full constructor

Method Detail

### print

    public void print(PrintWriter pw,
                      String indent)

  Description copied from interface: `QGBaseIntf`
  print a summary of this object
  Specified by:
    `print` in interface `QGBaseIntf`
  Overrides:
    `print` in class `QGBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD